com.orsoncharts.util

## Enum Orientation

- java.lang.Object
- - java.lang.Enum<Orientation>
  - - com.orsoncharts.util.Orientation

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Orientation>

      public enum Orientation
      extends java.lang.Enum<Orientation>

  General enumeration of orientations. One application for this is to specify whether the legend should be created for a vertical or horizontal layout.
  Since:
    1.1

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `HORIZONTAL` Horizontal orientation.
    `VERTICAL` Vertical orientation.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Orientation` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Orientation[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### HORIZONTAL

          public static final Orientation HORIZONTAL

      Horizontal orientation.

    - #### VERTICAL

          public static final Orientation VERTICAL

      Vertical orientation.

  - ### Method Detail

    - #### values

          public static Orientation[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Orientation c : Orientation.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Orientation valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null